Subject: Re: PINE/IMAP/RFC2369

From: Jeremy Blackman <[email-masked]>
Date: Sat, 27 Mar 1999 21:27:35 -0800 (PST)

On Sat, 27 Mar 1999, Mark Crispin wrote:

> > However, it works somewhat less well (e.g. not at all) over IMAP.  As my
> > primary method of reading my mail is over IMAP, this is a bit of a bummer
> > for me.  I would have thought I only needed to add the RFC2369 headers to
> > the 'extraheaders' list, but it appears that doesn't do the trick.  It
> > just never populates the envelope variables for the listserver options...
> 
> Did you put in proper envelope merging code into imap_parse_envelope() and
> imap_parse_header()?

D'oh!  I cannot believe I overlooked that! <sheepish grin>

Thank you!  Now the patch works perfectly, over IMAP and over normal mbox
connections.  Several of my friends are using it now, since as more
listservers begin to implement RFC2369, it's useful.  Nice to be able to
just hit '#' at a Message View screen and get 'subscribe', 'unsubscribe',
'help', and other Mailing List commands, as well as links to archives for
the mailing list and such. :)

Thanks again... now I probably should put the patch up somewhere in case
other people want it. :)

--Loki
  [email-masked] / [email-masked] / [email-masked]